Cyberduck Mountain Duck CLI

#5864 closed defect (thirdparty)

Interoperability with Humax

Reported by: hansm Owned by: hansm
Priority: low Milestone:
Component: ftp Version: 4.0.2
Severity: blocker Keywords: IOerror, parse, response code
Cc: Architecture: Intel
Platform: Mac OS X 10.6

Description

After updating from 4.0.1 to 4.0.2 I get the following error when connecting to my Humax 5050C: "I/O Error: Could not parse response code". Reverting back to 4.0.1 makes the problem disappear. Between these two versions I did not change any of the settings.

Attachments (5)

cyberduck-1.jpg (87.3 KB) - added by hansm on Apr 1, 2011 at 11:05:15 AM.
view
cyberduck-2.jpg (41.0 KB) - added by hansm on Apr 1, 2011 at 11:05:43 AM.
transfer-log
401-success.log (1.2 KB) - added by hansm on Apr 14, 2011 at 8:13:08 AM.
v401 log shows connect, v402 log fail to connect
402-fail.log (546 bytes) - added by hansm on Apr 14, 2011 at 8:14:43 AM.
failure to connect
fail-again.log (161 bytes) - added by hansm on Apr 14, 2011 at 4:39:02 PM.
still fails after: defaults write ch.sudo.cyberduck ftp.command.stat false

Download all attachments as: .zip

Change History (13)

comment:1 Changed on Apr 1, 2011 at 9:53:18 AM by dkocher

  • Component changed from core to ftp
  • Milestone set to 4.0.3

Please post the transcript from View → Log Drawer.

Changed on Apr 1, 2011 at 11:05:15 AM by hansm

view

Changed on Apr 1, 2011 at 11:05:43 AM by hansm

transfer-log

comment:2 Changed on Apr 3, 2011 at 9:44:02 AM by dkocher

Instead of a screenshot please copy and paste the full text of the log drawer here.

Changed on Apr 14, 2011 at 8:13:08 AM by hansm

v401 log shows connect, v402 log fail to connect

Changed on Apr 14, 2011 at 8:14:43 AM by hansm

failure to connect

comment:3 Changed on Apr 14, 2011 at 12:41:59 PM by dkocher

You can workaround this issue by disabling the use of STAT.

Last edited on Apr 14, 2011 at 12:42:47 PM by dkocher (previous) (diff)

comment:4 Changed on Apr 14, 2011 at 12:43:38 PM by dkocher

  • Priority changed from high to low
  • Summary changed from I/O Error after update 4.0.1->4.0.2 to Interoperability with Humax

Changed on Apr 14, 2011 at 4:39:02 PM by hansm

still fails after: defaults write ch.sudo.cyberduck ftp.command.stat false

comment:5 Changed on Apr 26, 2011 at 11:16:09 AM by hansm

Problem finally solved. The STAT was not the culprit. The Humax 5050C I am ftp-ing from does not like passive ftp (PASV) but an active connection (PORT) will do. Apparently the previous correct setting PORT on my version 4.0.1 copy was changed to PASV on installing the fresh copy of version 4.0.2. This explains why 4.0.1 kept working while 4.0.2 failed until I changed the connection setting on the latter.

comment:6 Changed on Apr 26, 2011 at 11:28:03 AM by yla

  • Resolution set to fixed
  • Status changed from new to closed

Thanks for letting us know.

comment:7 Changed on May 2, 2011 at 8:16:10 AM by dkocher

  • Resolution fixed deleted
  • Status changed from closed to reopened
NOOP
200 Port command successful
CWD /mnt/hd3/Video
250 File action is successful. Proceed.
TYPE A
200 Port command successful
PASV
502 Command not implemented.
 

comment:8 Changed on May 2, 2011 at 8:16:20 AM by dkocher

  • Milestone 4.0.3 deleted
  • Resolution set to thirdparty
  • Status changed from reopened to closed
Note: See TracTickets for help on using tickets.
swiss made software